Jump to content
Flirc Forums
Sign in to follow this  
Braselectron

Firmware for Flirc-USB

Recommended Posts

Dear Sir,

Could you please make it possible for users of Flirc-USB to have a firmware download page here ?

It is very difficult to get this IR dongle to work without support and good documentation so I believe that at least as a "must have", for the people who bought the gadget to have a way to use de flirc_util for a manual firmware upgrade.

I use Ubuntu 14.04 desktop 32bit version and 64bit on my laptop. I do not use MS Win.

I followed the instruction and added the APT Repository and installed the binary code.

At first it ran with a error warning. It upgraded to 3.8.  I was able to program the basic settings.

Than I had to do it again to program other keys and again.

Than I stop opening the GUI

Tried to apt-get remove/purge and reinstall (no success)

Had to download the linux zip file and run the binary from the download directory.  It did not see the stick and ask to upgrade firmware, after which it connected.  But this make a downgrade to the firmware and every time I run the binary it need to upgrade the firmware to work.  Also the upgrade show a bootldr 2.1 upgrade than it says "Firmware successfully upgraded" and show in de left lower corner "Firmware v3.7".

This is a very dangerous bug because these flash memories have limited number of writing to it.  If is writes not only the new keys but the bootldr to the NVRAM each time I change something it will fail soon.

I also am getting the following output:

linux$ flirc_util status
Last upgrade attempt: Error

linux$ flirc_util settings
flirc_util version v1.4.4 [v1.4.4-1-g3842eaf]
  Firmware: v3.7 [4F7E1ECF]

Settings:
  sleep detection:  Enabled
  noise canceler:   Disabled
  inter-key delay:  5
  seq. modifiers:   Disabled
  state              :   0
[E] fl_product_type(717): unknown or unsupported variant
  builtin profiles: Enable

Memory Info:
  keys recorded:  30
  keys remaining: 139
  memory used:   22%

Recorded Keys:
Index  hash        key
-----  ---------   ---
    0  7F1F3F9B    tab
    1  B1A49B9B    1
    2  8D581B9B    2
(...)
   25  92449B9B    '
   26  BF4F099B    i
   27  EEED3F9B    play/pause
   28  142DAD9B    play/pause
   29  22212D9B    x

So I what to try to update/re-write the firmware.  Where or how can I get this firmware binary file?

Please help.

 

 

Share this post


Link to post
Share on other sites

Bootloader is never being updated. GUI shows bootloader version during firmware upgrade, because Flirc switches to alternative mode in which it can do the firmware upgrade.

I don't know what's happening with Ubuntu recently. I don't have any installed right now to do some tests. I'm using Arch Linux (64bit). I've installed Flirc GUI 1.4.4 right now and upgraded firmware to 3.8. I've tested unplugging and plugging back Flirc into the USB port (different ports, both 2.0 and 3.0), closing the app, starting it again (with both Flirc plugged and unplugged) and everything is working fine.

The zipped version you've downloaded is an older one which probably had a bug with firmware version detection - that's why it wants to update firmware every time you run the app.

Maybe Canonical updated something in Ubuntu recently? I'll install Ubuntu 14.04 in VirtualBox later and check it.

Unfortunately Jason (Flirc maker) doesn't provide stand-alone firmware binary file. The only way to upgrade is to run Flirc GUI.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...